local insignias = {
	["enUS"] = "insignia",
	["enGB"] = "insignia",
	["deDE"] = "insigne",
	["esES"] = "insignia",
	["esMX"] = "insignia",
	["frFR"] = "insigne",
	["koKR"] = "휘장",
	["ruRU"] = "знак",
	["zhCN"] = "徽记",
	["zhTW"] = "徽记",
	["itIT"] = "insegna",
}

local locale = GetLocale()

local insignia = insignias[locale]

GossipFrame:HookScript("OnShow",function() 
    --print("gossip frame opened")
    local options = {GetGossipOptions()}
    for k, v in pairs(options) do
      if ((v ~= "gossip") and strfind(v, insignia)) then
		--print(insignias[locale])
        local opcount = GetNumGossipOptions()
		if not IsModifierKeyDown() then
			SelectGossipOption((opcount == 1) and 1 or  math.floor(k / GetNumGossipOptions()) + 1)
		end
      end
    end
end)